#!/usr/bin/perl -i.bak

use English;

## get input
undef $INPUT_RECORD_SEPARATOR;
$file = <>;

#print STDERR "*********** I got5: $file\n";

## transform it

$file =~ s/^:(.*)/\n\\ \\ \\ \\ \\ $1\n\\\\\n/gm;
$file =~ s/<pre>/\\begin{verbatim}/g;
$file =~ s/<\/pre>/\\end{verbatim}/g;

$file =~ s/<code>([^|]*?)<\/code>/\\verb|$1|/g;
$file =~ s/<code>([^\$]*?)<\/code>/\\verb\$\1\$/g;
$file =~ s/<code>([^@]*?)<\/code>/\\verb@\1@/g;
$file =~ s/<code>([^^]*?)<\/code>/\\verb^\1^/g;


$file =~ s/{{{(.*?)}}}/\\begin{verbatim}$1\\end{verbatim}/gs;


$file =~ s/-->/\\to/g;
#s/http:\/\/([\w\/\.]+)~([\w\/\.]*)/http:\/\/$1\\~{}$2/g;

$file =~ s/\*\*([a-zA-Z][^\*]+)\*\*/\\textbf{$1}/g;
$file =~ s/__([a-zA-Z()][^_]*)__/\\emph{$1}/g;
$file =~ s/(http:\/\/[~\w0-9!@#\$%\^&*+\-_='":?\/.]+[~\w0-9!@#\$%\^&*+\-_='":?\/])/\\begin{latex}\\url{\1\}\\end{latex}/g;



#$file =~ s/{{(.*?)}}/\\footnote{\1}/gs;
$file =~ s/<<(.*?)>>/\\footnote{\1}/gs;

$file =~ s/\n----\s*\n/\n\\vspace{1.5ex}\\hrule\\vspace{1.5ex}\n/g;

#print STDERR "*********** I put: $file\n";

print $file


